#!/usr/bin/python
import os
import subprocess
from charmhelpers.core.hookenv import log, unit_get
import shlex

hue_home = os.path.join(os.path.sep, "usr", "share", "hue")
hue_ini = os.path.join(os.path.sep, hue_home, "desktop", "conf","hue.ini")
stop_hue_script = os.path.join(os.path.sep, os.environ['CHARM_DIR'], "files", "scripts", "stop_hue.sh")

def restart_hue():
    # stop_hue_script is a workaround to shutdown "hue runserver" - needs a better solution
    # from hue community - sent an email 12/13/2014 - amir sanjar
    subprocess.call(stop_hue_script)
    ip = unit_get('private-address')
    hue_exe = os.path.join(os.path.sep, hue_home, "build", "env", "bin", "hue")
    cmd = hue_exe+" runserver "+ip+":8000" 
    subprocess.Popen(shlex.split(cmd),stdout=subprocess.PIPE,stderr=subprocess.PIPE)